Bug 1411055 - bundled libmpeg123 in xmms-1.2.11-mpg123.tar.bz2
Summary: bundled libmpeg123 in xmms-1.2.11-mpg123.tar.bz2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 22:47 UTC by Michael Schwendt
Modified: 2017-01-18 02:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 19:34:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Schwendt 2017-01-07 22:47:07 UTC
After https://bugzilla.rpmfusion.org/show_bug.cgi?id=4341 I was curious and had a look at dist git to discover that Fedora's XMMS package contains a bundled libmpg123 in the xmms-1.2.11-mpg123.tar.bz2 archive.

https://fedoraproject.org/wiki/Bundled_Software_policy

Comment 1 Tom "spot" Callaway 2017-01-16 19:34:57 UTC
Added Provides for bundled lib (in rawhide). xmms is old and stupid, so it is not worth the work to teach it how to use a system copy, and no system copy is currently in Fedora.

Comment 2 Michael Schwendt 2017-01-16 19:55:25 UTC
> and no system copy is currently in Fedora.

libmpg123 as included with Fedora is *much* newer than what is bundled with XMMS.

Comment 3 Tom "spot" Callaway 2017-01-16 20:38:29 UTC
Yes. The copy of libmpg123 in xmms is modified to act as an xmms plugin. If you wish to rewrite the plugin to use the system libmpg123 code, I'll carry the patch. I don't currently have enough alcohol to consider doing it myself.

Comment 4 Michael Schwendt 2017-01-18 02:03:51 UTC
Tom, I know. I only wanted the bundled libs policy to be followed.

XMMS is broken in various other ways. xmms-pulse tickets have not seen any action (WONTFIX since Fedora 11/12). Hardly anyone still uses it.

Audacious makes more users happy. And there are other audio players, of course.


Note You need to log in before you can comment on or make changes to this bug.